path: /build/build/tor-net-vpn-0.4.8.16.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-seccomp caps lzma zstd" emerge net-vpn/tor -pv -t && \
    USE="-seccomp caps lzma zstd" emerge -j ${JOBS} --nodeps net-vpn/tor && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/tor && \
    luet-portage --dir /pkgdir/tor net-vpn/tor && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:2efb725948efd526f8e78c4fcd16247900bc0e5544a2de67485a32ba67785ae8
  package:
    name: tor
    version: 0.4.8.16
    category: net-vpn
    use_flags:
    - -seccomp
    - caps
    - lzma
    - zstd
    requires:
    - name: asciidoc
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Anonymizing overlay network for TCP
    uri:
    - https://torproject.org
    license: BSD GPL-2
    buildtimestamp: 2025-04-23 07:06:16.157361566 +0000 UTC m=+223.496586884
    labels:
      DEPEND: dev-libs/libevent[ssl] sys-libs/zlib caps? ( sys-libs/libcap ) dev-libs/openssl
        lzma? ( app-arch/xz-utils ) seccomp? ( sys-libs/libseccomp ) zstd? ( app-arch/zstd
        ) app-text/asciidoc sys-apps/shadow
      IUSE: caps lzma seccomp selinux tor-hardening zstd
      RDEPEND: dev-libs/libevent[ssl] sys-libs/zlib caps? ( sys-libs/libcap ) dev-libs/openssl
        lzma? ( app-arch/xz-utils ) seccomp? ( sys-libs/libseccomp ) zstd? ( app-arch/zstd
        )
      emerge.packages: net-vpn/tor
      kit: net-kit
      original.package.name: net-vpn/tor
      original.package.slot: "0"
      original.package.version: 0.4.8.16
    treedir: /build/packages
  package_dir: /pkgdir/tor
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5857c370db558f3fd7aa85eb90ce2bc1fb3e6bef0710b0213a26f0c5317c0d0b
compressiontype: zstd
files:
- etc/conf.d/tor
- etc/init.d/tor
- etc/tor/torrc
- etc/tor/torrc.sample
- usr/bin/tor
- usr/bin/tor-gencert
- usr/bin/tor-print-ed-signing-cert
- usr/bin/tor-resolve
- usr/bin/torify
- usr/share/doc/tor-0.4.8.16/ChangeLog.bz2
- usr/share/doc/tor-0.4.8.16/HACKING/CodingStandards.md.bz2
- usr/share/doc/tor-0.4.8.16/HACKING/Fuzzing.md.bz2
- usr/share/doc/tor-0.4.8.16/HACKING/GettingStarted.md.bz2
- usr/share/doc/tor-0.4.8.16/HACKING/HelpfulTools.md.bz2
- usr/share/doc/tor-0.4.8.16/HACKING/HowToReview.md.bz2
- usr/share/doc/tor-0.4.8.16/HACKING/Module.md.bz2
- usr/share/doc/tor-0.4.8.16/HACKING/README.1st.md.bz2
- usr/share/doc/tor-0.4.8.16/HACKING/ReleasingTor.md.bz2
- usr/share/doc/tor-0.4.8.16/HACKING/WritingTests.md.bz2
- usr/share/doc/tor-0.4.8.16/HACKING/tracing/EventsCircuit.md.bz2
- usr/share/doc/tor-0.4.8.16/HACKING/tracing/README.md.bz2
- usr/share/doc/tor-0.4.8.16/README.gentoo.bz2
- usr/share/doc/tor-0.4.8.16/README.md.bz2
- usr/share/doc/tor-0.4.8.16/ReleaseNotes.bz2
- usr/share/doc/tor-0.4.8.16/tor-gencert.html
- usr/share/doc/tor-0.4.8.16/tor-print-ed-signing-cert.html
- usr/share/doc/tor-0.4.8.16/tor-resolve.html
- usr/share/doc/tor-0.4.8.16/tor.html
- usr/share/doc/tor-0.4.8.16/torify.html
- usr/share/man/man1/tor-gencert.1.bz2
- usr/share/man/man1/tor-print-ed-signing-cert.1.bz2
- usr/share/man/man1/tor-resolve.1.bz2
- usr/share/man/man1/tor.1.bz2
- usr/share/man/man1/torify.1.bz2
- usr/share/tor/geoip
- usr/share/tor/geoip6
- var/db/pkg/net-vpn/tor-0.4.8.16/BUILD_TIME
- var/db/pkg/net-vpn/tor-0.4.8.16/CATEGORY
- var/db/pkg/net-vpn/tor-0.4.8.16/CBUILD
- var/db/pkg/net-vpn/tor-0.4.8.16/CFLAGS
- var/db/pkg/net-vpn/tor-0.4.8.16/CHOST
- var/db/pkg/net-vpn/tor-0.4.8.16/CONTENTS
- var/db/pkg/net-vpn/tor-0.4.8.16/COUNTER
- var/db/pkg/net-vpn/tor-0.4.8.16/CTARGET
- var/db/pkg/net-vpn/tor-0.4.8.16/CXX
- var/db/pkg/net-vpn/tor-0.4.8.16/CXXFLAGS
- var/db/pkg/net-vpn/tor-0.4.8.16/DEFINED_PHASES
- var/db/pkg/net-vpn/tor-0.4.8.16/DEPEND
- var/db/pkg/net-vpn/tor-0.4.8.16/DESCRIPTION
- var/db/pkg/net-vpn/tor-0.4.8.16/EAPI
- var/db/pkg/net-vpn/tor-0.4.8.16/FEATURES
- var/db/pkg/net-vpn/tor-0.4.8.16/HOMEPAGE
- var/db/pkg/net-vpn/tor-0.4.8.16/INHERITED
- var/db/pkg/net-vpn/tor-0.4.8.16/IUSE
- var/db/pkg/net-vpn/tor-0.4.8.16/IUSE_EFFECTIVE
- var/db/pkg/net-vpn/tor-0.4.8.16/KEYWORDS
- var/db/pkg/net-vpn/tor-0.4.8.16/LDFLAGS
- var/db/pkg/net-vpn/tor-0.4.8.16/LICENSE
- var/db/pkg/net-vpn/tor-0.4.8.16/NEEDED
- var/db/pkg/net-vpn/tor-0.4.8.16/NEEDED.ELF.2
- var/db/pkg/net-vpn/tor-0.4.8.16/PF
- var/db/pkg/net-vpn/tor-0.4.8.16/RDEPEND
- var/db/pkg/net-vpn/tor-0.4.8.16/REQUIRES
- var/db/pkg/net-vpn/tor-0.4.8.16/SIZE
- var/db/pkg/net-vpn/tor-0.4.8.16/SLOT
- var/db/pkg/net-vpn/tor-0.4.8.16/USE
- var/db/pkg/net-vpn/tor-0.4.8.16/environment.bz2
- var/db/pkg/net-vpn/tor-0.4.8.16/repository
- var/db/pkg/net-vpn/tor-0.4.8.16/tor-0.4.8.16.ebuild
- var/lib/tor/.keep_net-vpn_tor-0
package_cacheimage: ""
runtime:
  name: tor
  version: 0.4.8.16
  category: net-vpn
  use_flags:
  - -seccomp
  - caps
  - lzma
  - zstd
  requires:
  - name: zstd
    version: '>=0'
    category: app-arch
  - name: libevent
    version: '>=0'
    category: dev-libs
  - name: libcap
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Anonymizing overlay network for TCP
  uri:
  - https://torproject.org
  license: BSD GPL-2
  labels:
    DEPEND: dev-libs/libevent[ssl] sys-libs/zlib caps? ( sys-libs/libcap ) dev-libs/openssl
      lzma? ( app-arch/xz-utils ) seccomp? ( sys-libs/libseccomp ) zstd? ( app-arch/zstd
      ) app-text/asciidoc sys-apps/shadow
    IUSE: caps lzma seccomp selinux tor-hardening zstd
    RDEPEND: dev-libs/libevent[ssl] sys-libs/zlib caps? ( sys-libs/libcap ) dev-libs/openssl
      lzma? ( app-arch/xz-utils ) seccomp? ( sys-libs/libseccomp ) zstd? ( app-arch/zstd
      )
    emerge.packages: net-vpn/tor
    kit: net-kit
    original.package.name: net-vpn/tor
    original.package.slot: "0"
    original.package.version: 0.4.8.16
